package com.njcn.common.pojo.enums.common;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年09月06日 14:00
 */
@Getter
public enum ServerEnum {

    /**
     * 微服务模块的枚举信息
     */
    APP("pqs-app", "APP服务模块"),
    DEVICE("device-boot", "终端服务模块"),
    EVENT("event-boot", "暂降服务模块"),
    GATEWAY("pqs-gateway", "网关服务模块"),
    HARMONIC("harmonic-boot", "谐波监测服务模块"),
    OAUTH("pqs-auth", "认证服务模块"),
    REPORT("report-boot", "报表服务模块"),
    SUPERVISE("pqs-supervise", "技术监督管理服务模块"),
    SYSTEM("system-boot", "系统配置服务模块"),
    USER("user-boot", "用户服务模块"),
    ENERGY("energy-boot", "用能服务模块"),
    QUALITY("quality-boot", "电能质量服务模块"),
    EVENT_PREPARE("event-prepare","暂态模块预处理"),
    HARMONIC_PREPARE("harmonic-prepare","谐波模块预处理"),
    COMMON("pqs-common", "通用服务模块");

    private final String name;

    private final String serverInfo;

    ServerEnum(String name, String serverInfo) {
        this.name = name;
        this.serverInfo = serverInfo;
    }
}
